## RENAME SCHEMA-Anweisung (rename_schema_statement)

Die RENAME SCHEMA-Anweisung (rename_schema_statement) ändert den Namen eines Schemas.

### Syntax

<rename_schema_statement> ::= RENAME SCHEMA <schema_name> TO <new_schema_name>

<new_schema_name> ::= <schema_name>

### Erläuterung

Das zu ändernde Schema muss existieren und darf keinen Benutzer identifizieren. Der Schemaname muss ein Schema identifizieren, dessen Eigentümer der aktuelle Datenbankbenutzer ist.

Der neue Schemaname new_schema_name darf nicht mit dem Namen eines existierenden Datenbankbenutzers, einer existierenden Benutzergruppe, eines existierenden Schemas oder einer existierenden Rolle übereinstimmen.

Alle vom zu ändernden Schema abhängigen Objekte werden vom Datenbanksystem an den neuen Schemanamen angepasst.